GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Typedefs | Functions
completion_queue.h File Reference
`#include "src/core/iomgr/pollset.h"`
`#include <grpc/grpc.h>`

Go to the source code of this file.

## Data Structures
struct | grpc_cq_completion

## Macros
#define | GRPC_CQ_INTERNAL_REF(cc, reason) grpc_cq_internal_ref(cc)
#define | GRPC_CQ_INTERNAL_UNREF(cc, reason) grpc_cq_internal_unref(cc)

## Typedefs
typedef struct grpc_cq_completion | grpc_cq_completion

## Functions
void | grpc_cq_internal_ref (grpc_completion_queue *cc)
void | grpc_cq_internal_unref (grpc_completion_queue *cc)
void | grpc_cq_begin_op (grpc_completion_queue *cc)
void | grpc_cq_end_op (grpc_completion_queue *cc, void *tag, int success, void(*done)(void *done_arg, grpc_cq_completion *storage), void *done_arg, grpc_cq_completion *storage)
grpc_pollset * | grpc_cq_pollset (grpc_completion_queue *cc)
void | grpc_cq_hack_spin_pollset (grpc_completion_queue *cc)
void | grpc_cq_mark_server_cq (grpc_completion_queue *cc)
int | grpc_cq_is_server_cq (grpc_completion_queue *cc)

## Macro Definition Documentation

#define GRPC_CQ_INTERNAL_REF | ( |  | cc,
|  |  | reason
| ) |  | grpc_cq_internal_ref(cc)

#define GRPC_CQ_INTERNAL_UNREF | ( |  | cc,
|  |  | reason
| ) |  | grpc_cq_internal_unref(cc)

## Typedef Documentation

typedef struct grpc_cq_completion grpc_cq_completion

## Function Documentation

void grpc_cq_begin_op | ( | grpc_completion_queue * | cc | ) |

void grpc_cq_end_op | ( | grpc_completion_queue * | cc,
|  | void * | tag,
|  | int | success,
|  | void(*)(void *done_arg, grpc_cq_completion *storage) | done,
|  | void * | done_arg,
|  | grpc_cq_completion * | storage
| ) |  |

void grpc_cq_hack_spin_pollset | ( | grpc_completion_queue * | cc | ) |

void grpc_cq_internal_ref | ( | grpc_completion_queue * | cc | ) |

void grpc_cq_internal_unref | ( | grpc_completion_queue * | cc | ) |

int grpc_cq_is_server_cq | ( | grpc_completion_queue * | cc | ) |

void grpc_cq_mark_server_cq | ( | grpc_completion_queue * | cc | ) |

grpc_pollset* grpc_cq_pollset | ( | grpc_completion_queue * | cc | ) |